<?php
/*
Plugin Name: Minibits Chatmanager Chatbox
Plugin URI: http://www.minibits.eu/chatmanager/
Description: Met deze plugin installeert u de Minibits Chatbox in uw wordpress website.
Author: Paul van Eck
Version: 1.0.0
Author URI: http://www.paqqa.nl/
*/

function widget_chatbox(){
	// Haal de opgeslagen instellingen op
	$options = get_option("chatbox-settings");
	$chatboxId = $options['chatboxId'];

	// Geen output in de widget zelf, maar laden van de css en de javascript-codes.
	?>
	<link rel="stylesheet" type="text/css" href="http://www.minibits.eu/chatmanager/css/mb_chatbox.css" media="screen, projection">
	<script type="text/javascript">var mb_siteId="<?php echo $chatboxId;?>"</script>
	<script type="text/javascript" src="http://www.minibits.eu/chatmanager/javascript/pq_chatbox.js"></script>
	<?php
	
}

function control_chatbox(){

	// Controleer of het formulier is verzonden en controleer de input op correctheid
	if(!empty($_POST)) {
	update_option("chatbox-settings", array("chatboxId" => $_POST['chatboxId']));
	}
	
	// Haal de opgeslagen instellingen op
	$options = get_option("chatbox-settings");
	?>
	<label>Uw Minibits Chatbox Site ID:</label>
	<input type="text" name="chatboxId" value="<?php echo $options['chatboxId'];?>"/>
	<?php
}

function init_sidebar_widget() {
wp_register_sidebar_widget('pq-chatbox', 'Minibits Chatmanager Chatbox', 'widget_chatbox', array("description" => "Met deze plugin installeert u de Minibits Chatbox in uw wordpress website."));
wp_register_widget_control('pq-chatbox', 'Minibits Chatmanager Chatbox', 'control_chatbox');
}

add_action('plugins_loaded', 'init_sidebar_widget');
